[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

| StopIfConverging Class Reference |

`#include <vigra/random_forest/rf_earlystopping.hxx>`

Inheritance diagram for StopIfConverging:

List of all members.

## Public Member Functions
| StopIfConverging (double thresh, int num=10)

## Detailed Description

Stop predicting if the 2norm of the probabilities does not change

## Constructor & Destructor Documentation

StopIfConverging | ( | double | thresh,
|  | int | num = `10`
| ) |  |

Constructor

Parameters:

  thresh,: | If the two norm of the probabilities changes less then thresh then stop
  num | : look at atleast num trees before stopping

The documentation for this class was generated from the following file:

- vigra/random_forest/rf_earlystopping.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.9.0 (Tue Nov 6 2012)